body {
    padding-top: 60px;
    padding-bottom: 40px;
}

/* Override the cursor that Bootstrap defines for readonly inputs, as it looks
 * very odd on IE (and 'text' makes it clearer that it's copyable everywhere).
 */
#permalink {
    cursor: text;
}

.sideBySide {
}

#changetip_tipme_button {
    height: 24px;
    width: 120px;
    padding: 7px 3px 4px;
}
#flattr_button {
    height: 20px;
    width: 120px;
    padding: 7px 3px 4px;
}
.output {
    height: 80px;
    overflow: auto;
    font-family: monospace;
}

.options {
    background: #ddf;
    border-radius: 4px;
    padding: 8px;
}

.options label {
    display: inline-block;
}

.inline-msg {
    font-family: arial;
    font-size: 70%;
    padding: 2px 5px 3px;
}

span.icon {
    border-radius: 50%; padding: 0 3px; margin-right: 7px;
}

.error {
    background: #faa !important;
    color: #a00;
}

.error span.icon {
    color: white; background-color: red; font-weight: bold;
}

.warning {
    background: #ffa !important;
    color: #440;
}

.warning span.icon {
    color: black; background-color: yellow;
}

.note {
    background: #aaf !important;
    color: #00a;
}

.note span.icon {
    color: white; background-color: blue;
}

.template {
    display: none;
}

li.social {
    padding: 4px;
}

.topbar {
    margin-top: 10px;
    padding: 6px;
    background: #eee;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
}

.indented {
    margin-left: 36px;
}

/* These colours from Cynthia Brewer's excellent page at
 * http://colorbrewer2.org/
 */
.rainbow-0 { background: rgb(141, 211, 199) !important; }
.rainbow-1 { background: rgb(255, 255, 179) !important; }
.rainbow-2 { background: rgb(190, 186, 218) !important; }
.rainbow-3 { background: rgb(251, 128, 114) !important; }
.rainbow-4 { background: rgb(128, 177, 211) !important; }
.rainbow-5 { background: rgb(253, 180, 98) !important; }
.rainbow-6 { background: rgb(179, 222, 105) !important; }
.rainbow-7 { background: rgb(252, 205, 229) !important; }
.rainbow-8 { background: rgb(217, 217, 217) !important; }
.rainbow-9 { background: rgb(188, 128, 189) !important; }
.rainbow-10 { background: rgb(204,234,197) !important; }
.rainbow-11 { background: rgb(255, 237, 111) !important; }

.address {
    width: 4em;
    font-size: smaller;
}
.opcodes {
    width: 7em;
    overflow: hidden;
    font-size: smaller;
}

.opcode {
    color: #066;
    margin-right:0.2em;
}

.opcode:nth-child(odd) {
    color: #060;
}
.highlighted {
    background-color: rgba(255, 0, 0, 0.2);
    color: #0000b0;
    font-weight: bold;
}